package com.zhiyun.mqtt.common.interceptor;

import com.alibaba.fastjson.JSON;
import com.zhiyun.mqtt.common.ServerResponse;
import com.zhiyun.mqtt.redis.SessionManager;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * 登录权限验证拦截器
 *
 * @author chenyi
 * Create on 2019/10/10
 */
@Component
public class AuthInterceptor extends HandlerInterceptorAdapter {

    @Resource
    private SessionManager sessionManager;

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        String token = request.getHeader("token");
        if (token == null || !sessionManager.valid(token)) {
            response.getWriter().print(JSON.toJSONString(ServerResponse.createByAuthor()));
            return false;
        }
        return true;
    }
}
