package com.zhiyun.mqtt.common.interceptor;

import com.alibaba.fastjson.JSON;
import com.zhiyun.mqtt.common.ServerResponse;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 身份验证拦截器
 * 防止第三方请求服务器
 *
 * @author chenyi
 * Create on 2019/10/10
 */
@Component
public class VerifyInterceptor extends HandlerInterceptorAdapter {

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws IOException {
        if (request.getMethod().equals("OPTIONS")) {
            response.setStatus(HttpServletResponse.SC_OK);
            return true;
        }
        if (request.getHeader("verify") != null && request.getHeader("verify").equals("mqtt")) return true;
        response.getWriter().println(JSON.toJSONString(ServerResponse.createByErrorMsg("illegal request")));
        return false;
    }
}
