package com.zhiyun.mqtt.controller;

import com.zhiyun.mqtt.common.exception.ApiRuntimeException;
import com.zhiyun.mqtt.common.ServerResponse;
import com.zhiyun.mqtt.model.UserIdioms;
import com.zhiyun.mqtt.service.IdiomsService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 用户常用语
 *
 * @author yang xiao kun
 * create on 2021/1/22
 */
@RestController
@RequestMapping("zy4g/api/idioms")
public class IdiomsController {

    @Resource
    IdiomsService userIdiomsService;

    /**
     * 通过用户ID 查询用户常用语
     *
     * @param userId 用户ID
     */
    @GetMapping("getList.do")
    public ServerResponse getUserIdioms(String userId) {
        return ServerResponse.createBySuccess(userIdiomsService.getListByUserId(userId));
    }

    /**
     * 添加常用语
     */
    @PostMapping("save.do")
    public ServerResponse save(UserIdioms entity) {
        if (!userIdiomsService.save(entity)) {
            throw new ApiRuntimeException("添加常用语失败");
        }
        return ServerResponse.createBySuccess();
    }

    /**
     * 通过ID删除常用语
     */
    @PostMapping("delById.do")
    public ServerResponse delById(Integer id) {
        if (!userIdiomsService.removeById(id)) {
            throw new ApiRuntimeException("删除常用语失败");
        }
        return ServerResponse.createBySuccess();
    }
}
