package com.zhiyun.mqtt.controller;

import com.zhiyun.mqtt.common.ServerResponse;
import com.zhiyun.mqtt.common.io.wechat.DeviceHistoryIO;
import com.zhiyun.mqtt.service.DeviceLocationService;
import com.zhiyun.mqtt.redis.DeviceManager;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 设备定位相关
 *
 * @author yang xiao kun
 * create on 2021/1/21
 */
@RestController
@RequestMapping("zy4g/api/location")
public class LocationController {

    @Resource
    private DeviceLocationService locationService;

    @Resource
    private DeviceManager redisService;

    /**
     * 通过设备ID获取最新的定位信息
     */
    @GetMapping("getLocation.do")
    public ServerResponse getLocation(String deviceId) {
        return ServerResponse.createBySuccess(redisService.getLocation(deviceId));
    }

    /**
     * 查看设备历史轨迹
     */
    @PostMapping("getHistory.do")
    public ServerResponse getHistory(DeviceHistoryIO io) {
        return ServerResponse.createBySuccess(locationService.getHistory(io));
    }
}
