package com.zhiyun.mqtt.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhiyun.mqtt.model.UserDeviceRelation;
import com.zhiyun.mqtt.common.vo.DeviceVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 用户设备绑定关系表
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface UserDeviceRelationMapper extends BaseMapper<UserDeviceRelation> {

    /**
     * 查询用户绑定的设备集合
     *
     * @param userId 用户ID
     */
    List<DeviceVo> getListByUserId(@Param("userId") String userId);

    /**
     * 通过用户ID 查询默认设备的设备num
     *
     * @param userId 用户Id
     */
    String getDefaultDeviceNum(String userId);
}
