package com.zhiyun.mqtt.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 设备信息
 */
@Data
@TableName("zy_device")
@NoArgsConstructor
public class Device {
    @TableId
    private Integer id;

    //设备随机码
    private String num;

    //设备MQTT clientId
    private String clientId;

    //设备MQTT 连接密码
    private String password;

    //创建时间
    private LocalDateTime createTime;

    //权限
    private String tags;

    //设备状态，1注册完成，0待确认
    private Integer status;

    //设备组
    private Integer groupId;

    //设备名
    private String name;

    //是否关机
    private Integer shutdown;

    /**
     * 注册设备构造器
     *
     * @param clientId MQTT 客户端ID
     * @param password MQTT 密码
     */
    public Device(String num, String clientId, String password) {
        this.num = num;
        this.clientId = clientId;
        this.password = password;
        this.createTime = LocalDateTime.now();
        this.tags = "";
        this.status = 0;
        this.groupId = 1;
    }
}
