package com.zhiyun.mqtt.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhiyun.mqtt.mapper.IdiomsMapper;
import com.zhiyun.mqtt.model.UserIdioms;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 常用语 Service
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Service
public class IdiomsService extends ServiceImpl<IdiomsMapper, UserIdioms> {

    /**
     * 通过用户ID 查询用户常用语
     *
     * @param userId 用户ID
     */
    public List<UserIdioms> getListByUserId(String userId) {
        return baseMapper.selectList(new QueryWrapper<UserIdioms>()
                .eq("userId", userId).orderByDesc("createTime"));
    }
}
