package com.zhiyun.mqtt.utils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import javax.annotation.Resource;

/**
 * 高德API 服务类￿
 *
 * @author yang xiao kun
 * create on 2021/2/4
 */
@Component
public class GaoDeApiUtil {

    @Resource
    private RestTemplate restTemplate;

    private static final String url = "https://restapi.amap.com/v3/geocode/regeo?key=10ab24979b475f6ea5eba052c0c2016f&location={1￿}";

    /**
     * 逆地址解析,获取位置的详细描述信息
     *
     * @param lng 经度
     * @param lat 纬度
     */
    public String regeo(String lng, String lat) {
        if (lng == null || lat == null) return null;
        try {
            ResponseEntity<String> result = restTemplate.getForEntity(url, String.class, lng + "," + lat);
            JSONObject jsonMap = JSON.parseObject(result.getBody());
            JSONObject regeoCode = jsonMap.getJSONObject("regeocode");
            return regeoCode.getString("formatted_address");
        } catch (Exception e) {
            return null;
        }
    }
}
